ur_rna.StructureEditor.services

## Enum SceneDrawMode

- java.lang.Object
- - java.lang.Enum<SceneDrawMode>
  - - ur_rna.StructureEditor.services.SceneDrawMode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<SceneDrawMode>

      public enum SceneDrawMode
      extends java.lang.Enum<SceneDrawMode>

  Represents different modes of drawing a Scene

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Circular`
    `Flattened`
    `Linear`
    `Standard`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SceneDrawMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SceneDrawMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Circular

          public static final SceneDrawMode Circular

    - #### Flattened

          public static final SceneDrawMode Flattened

    - #### Linear

          public static final SceneDrawMode Linear

    - #### Standard

          public static final SceneDrawMode Standard

  - ### Method Detail

    - #### valueOf

          public static SceneDrawMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### values

          public static SceneDrawMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SceneDrawMode c : SceneDrawMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared